Bug 633145 (CVE-2010-3297) - CVE-2010-3297 kernel: drivers/net/eql.c: reading uninitialized stack memory
Summary: CVE-2010-3297 kernel: drivers/net/eql.c: reading uninitialized stack memory
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3297
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20100913,source=lkml,impact=...
Depends On: 633146 633147
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-13 04:03 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 13:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:23:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0771 normal SHIPPED_LIVE Moderate: kernel-rt security and bug fix update 2010-10-14 15:30:14 UTC

Description Eugene Teo (Security Response) 2010-09-13 04:03:21 UTC
Description of problem:
http://lkml.org/lkml/2010/9/11/168
The EQL_GETMASTRCFG device ioctl allows unprivileged users to read 16 bytes of uninitialized stack memory, because the "master_name" member of the master_config_t struct declared on the stack in eql_g_master_cfg() is not altered or zeroed before being copied back to the user.

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 2 John Kacur 2010-09-17 12:18:19 UTC
This is 44467187dc22fdd33a1a06ea0ba86ce20be3fe3c
in David Miller's git repo

Comment 3 Eugene Teo (Security Response) 2010-10-13 04:44:45 UTC
Upstream commit:
http://git.kernel.org/linus/44467187dc22fdd33a1a06ea0ba86ce20be3fe3c

Comment 4 errata-xmlrpc 2010-10-14 15:30:34 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0771 https://rhn.redhat.com/errata/RHSA-2010-0771.html

Comment 5 Eugene Teo (Security Response) 2010-11-02 05:01:25 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 3, 4, and 5 as they did not include support for equalizer load-balancer for serial network interfaces. This was addressed in Red Hat Enterprise Linux Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2010-0771.html.


Note You need to log in before you can comment on or make changes to this bug.